package com.huimv.location;

import java.io.*;
import java.net.*;
import java.util.zip.*;


/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class SubscribeTest {
    public static void main(String[] args) {
        String hostname = "192.168.1.17";
        int port = 44444;

        int i=1;
        try {
            InetAddress address = InetAddress.getByName(hostname);
            DatagramSocket socket = new DatagramSocket();
            String msg = "subscribe:zlib";
            byte[] buff = msg.getBytes();
            DatagramPacket request = new DatagramPacket(buff, buff.length, address, port);
            socket.send(request);
            while (true) {
                System.out.println("i="+i);
                byte[] buffer = new byte[65535];
                DatagramPacket response = new DatagramPacket(buffer, buffer.length);
                socket.receive(response);
                try {
                    byte[] unzipped = unzip(buffer);
                    String json = new String(unzipped, 0, unzipped.length);
                    System.out.println(json);
                } catch (Exception e) {
                }
                i++;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static byte[] unzip(byte[] data) throws IOException, DataFormatException {
        Inflater inf = new Inflater();
        inf.setInput(data);
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        byte[] buffer = new byte[1024];
        while (!inf.finished()) {
            int count = inf.inflate(buffer);
            baos.write(buffer, 0, count);
        }
        baos.close();
        return baos.toByteArray();
    }
}
