package com.huimv.location.controller;

import com.huimv.location.dao.entity.BeaconEntity;
import com.huimv.location.service.BeaconService;
import com.huimv.location.utils.HttpClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping(value = "/beacon")
@CrossOrigin
public class BeaconController {
    @Autowired
    private HttpClient httpClient;
    @Autowired
    private BeaconService beaconService;

//    @RequestMapping(value = "/getOneBeaconInfo",method = RequestMethod.GET)
//    public void getOneBeaconInfo(){
//        httpClient.doGet("http://192.168.1.17:44444/beacons/32b00ae08dfc");
//    }

    @RequestMapping(value = "/getOneBeacon",method = RequestMethod.GET)
    public List<BeaconEntity> getOneBeaconInfo(@RequestParam(name = "id") String mac, @RequestParam(name = "startTime") String startTime, @RequestParam(name = "endTime") String endTime){
        return beaconService.getOneBeacons(mac,startTime,endTime);
    }



}
